Skip to main content
PATCH
Update story script

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Path Parameters

id
string<uuid>
required

A UUID string identifying this Story.

script_id
string
required

Body

Writable serializer for EIC script edits. Only content fields are editable.

intro
string

Brief introduction written by the reporter

script
string

Full script text entered by the reporter

Minimum string length: 1
script_byte
string

Short broadcast-ready summary (max 500 chars)

Required string length: 1 - 500
captions
string

Captions/subtitles text for the story

Response

200 - application/json

Basic story serializer for list views.

id
string<uuid>
required
read-only
title
string
required

The title of the story

Maximum string length: 255
summary
string
required

The summary of the story

category
string<uuid>
required
treatment
string<uuid>
required
status
string
required
read-only

Human-readable workflow status (cached from workflow engine)

node
string | null
required
read-only

Current workflow node reference number (cached for performance)

created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
created_by
string
required
read-only
reference
string | null

Generated reference string

Maximum string length: 30
location
string | null

The location of the story (city, region, etc)

Maximum string length: 255
classification
enum<string> | null

Editorial classification of the story (national reach, mashinani/local, or breaking)

  • national - National
  • mashinani - Mashinani
  • breaking - Breaking
Available options:
national,
mashinani,
breaking,
,
null
platform
enum<string> | null

Intended broadcast medium, set at story creation

  • television - Television
  • radio - Radio
Available options:
television,
radio,
,
null
estimated_duration
string | null

Estimated duration for story completion

urgency_level
enum<string> | null

Story priority level

  • low - Low
  • medium - Medium
  • high - High
  • urgent - Breaking
Available options:
low,
medium,
high,
urgent,
,
null
assigned_reporter
string<uuid> | null

Reporter commissioned by an editor at creation. When set, the story skips pitch approval and starts directly at the morning outlook node, assigned to this reporter (assignment-desk flow).